ggidev-eq_3(3)

NAME
ggidev-eq_3, ggidev-ge_3 : triple-int comparisons

SYNOPSIS
#include <ggi/internal/triple-int.h>
int eq_3(unsigned l[3], unsigned r[3]);
int ge_3(unsigned l[3], unsigned r[3]);

DESCRIPTION
eq_3 tests if l and r are equal. Equivalent to l==r. ge_3 tests if l is greater than or equal to l. Equivalent to l>=r.

RETURN VALUE
eq_3 and ge_3 returns non-zero if the relation is true, and zero otherwise.

EXAMPLES
Some triple-int comparisons:
unsigned x[3], y[3], z[3];
assign_int_3(x, 5);
assign_int_3(y, 6);
assign_int_3(z, 6);
ASSERT(!eq_3(x, y));
ASSERT(eq_3(y, z));
ASSERT(ge_3(x, y));
ASSERT(ge_3(y, z));
ASSERT(!ge_3(y, x));

SEE ALSO
ggidev-triple-int(7), ggidev-assign_int_3(3)